<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div class="content-holder filler-bottom" *ngIf="canPropose === true">
    <h4>{{"World.Country.MenuAdministration" | translate}}</h4>
    <p style="margin-bottom: 0.5em;">{{"World.Country.AdminInfo1" | translate}}</p>
    <div nz-row nzType="flex" nzAlign="middle" nzJustify="start">
      <div style="text-align: center;" nz-col nzXs="24" nzSm="4">
        <strong>Choose Law:</strong>
      </div>
      <div nz-col nzXs="24" nzSm="8">
        <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select law to propose" nzShowSearch
          [(ngModel)]="selectedProposeLawId" (ngModelChange)="lawSelected($event)">
          <nz-option *ngFor="let item of lawsAvailableToPropose" nzLabel="{{item.value | translate}}"
            nzValue="{{item.key}}"></nz-option>
        </nz-select>
      </div>
    </div>
  </div>
  <div class="content-holder alternative filler-bottom">
    <h4>{{"World.Country.PrevLawProp" | translate }} <img class="infoTooltip tooltip"
        src="{{hostUrl}}/assets/img/misc/info.png" style="width: 15px; height: 15px;"
        title="{{'General.Hoover.LawProposals' | translate}}"></h4>
    <div class="laws listitem-container alternative">
      <div nz-row nzType="flex" ngClass="listitem" nzAlign="middle" nzJustify="start" *ngFor="let item of list">
        <div nzSpan="6" ngClass="info-icon align-center" nz-col>
          <img *ngIf="item.status == 0" src="{{hostUrl}}/assets/img/misc/law-pending.svg" title="Law pending">
          <img *ngIf="item.status == 1" src="{{hostUrl}}/assets/img/misc/law-accepted.svg" title="Law pending">
          <img *ngIf="item.status == 2 || item.status == 3" src="{{hostUrl}}/assets/img/misc/law-rejected.svg"
            title="Law pending">
        </div>
        <div nz-col nzSpan="6" nzXs="12" nzSm="12" nzMd="6" ngClass="info">
          <a href="{{hostUrl}}/parliament/law/{{item.id}}" target="_blank">
            <!--
            <span class="hide-sm">
              Law proposal number #{{item.id}}
            </span>
            -->
            {{item.lawName | translate}}
          </a>
        </div>
        <div nz-col nzSpan="6" nzXs="0" nzSm="0" nzMd="6" ngClass="creator">
          by <a href="{{hostUrl}}/citizen/{{item.proposedBy.entityId}}" target="_blank">{{item.proposedBy.name}}</a>
        </div>
        <div nz-col nzSpan="6" ngClass="date-info">
          {{item.startDateTime | timeAgo }} ago
        </div>
      </div>
    </div>
    <div ngClass="contentspacing" nz-row nzType="flex" nzAlign="middle" nzJustify="space-between">
      <div nz-col>
        <button nz-button nzType="danger" (click)="resign()">Resign</button>
      </div>
      <div nz-col>
        <nz-pagination [(nzPageIndex)]="page" [nzTotal]="totalEntries" nzShowSizeChanger [(nzPageSize)]="pageSize"
          (nzPageIndexChange)="load()" (nzPageSizeChange)="load()"></nz-pagination>
      </div>
    </div>
  </div>
</nz-spin>